summaryrefslogtreecommitdiff
path: root/db-4.8.30/test/scr022
diff options
context:
space:
mode:
authorJesse Morgan <jesse@jesterpm.net>2016-12-17 21:28:53 -0800
committerJesse Morgan <jesse@jesterpm.net>2016-12-17 21:28:53 -0800
commit54df2afaa61c6a03cbb4a33c9b90fa572b6d07b8 (patch)
tree18147b92b969d25ffbe61935fb63035cac820dd0 /db-4.8.30/test/scr022
Berkeley DB 4.8 with rust build script for linux.
Diffstat (limited to 'db-4.8.30/test/scr022')
-rw-r--r--db-4.8.30/test/scr022/chk.rr34
1 files changed, 34 insertions, 0 deletions
diff --git a/db-4.8.30/test/scr022/chk.rr b/db-4.8.30/test/scr022/chk.rr
new file mode 100644
index 0000000..a9692d8
--- /dev/null
+++ b/db-4.8.30/test/scr022/chk.rr
@@ -0,0 +1,34 @@
+#!/bin/sh -
+#
+# $Id$
+
+d=../..
+
+t1=__1
+
+# Check for DB_RUNRECOVERY being specified instead of a call to env_panic.
+egrep DB_RUNRECOVERY $d/*/*.c |
+ sed -e '/__env_panic(.*, DB_RUNRECOVERY)/d' \
+ -e '/\/php_db4\//d' \
+ -e '/case DB_RUNRECOVERY:/d' \
+ -e '/db_dispatch.c:.*if (ret == DB_RUNRECOVERY/d' \
+ -e '/db_err.c:/d' \
+ -e '/env_open.c:.*ret = DB_RUNRECOVERY;/d' \
+ -e '/os_errno.c:.*evalue == DB_RUNRECOVERY/d' \
+ -e '/mut_fcntl.c:.*return (DB_RUNRECOVERY);/d' \
+ -e '/mut_pthread.c:.*return (DB_RUNRECOVERY);/d' \
+ -e '/mut_tas.c:.*return (DB_RUNRECOVERY);/d' \
+ -e '/mut_tas.c:.*Possibly DB_RUNRECOVERY if/d' \
+ -e '/mut_win32.c:.*return (DB_RUNRECOVERY);/d' \
+ -e '/mut_win32.c:.*ret = DB_RUNRECOVERY;/d' \
+ -e '/rep_backup.c:.*Panic the env and return DB_RUNRECOVERY/d' \
+ -e '/txn.c:.* \* DB_RUNRECOVERY and we need to/d' \
+ -e '/txn.c:.*returned DB_RUNRECOVERY and we need to/d' \
+ > $t1
+[ -s $t1 ] && {
+ echo "DB_RUNRECOVERY used; should be a call to env_panic."
+ cat $t1
+ exit 1
+}
+
+exit 0